Home / Lua API Manual / types / dt_imageio_module_format_data_webp
< dt_imageio_module_format_data_tiff
dt_imageio_module_format_t >

# dt_imageio_module_format_data_webp

`dt_type`

Type object describing parameters to export to webp.

Attributes:

- parent : types.dt_imageio_module_format_t

# 🔗dt_imageio_module_format_data_webp.quality

`number`

The quality to use at export time.

Attributes:

- write

# 🔗dt_imageio_module_format_data_webp.comp_type

types.comp_type_t

The overall quality to use; can be one of “webp_lossy” or “webp_lossless”.

Attributes:

- write

# 🔗dt_imageio_module_format_data_webp.hint

types.hint_t

A hint on the overall content of the image.

Attributes:

- write

< dt_imageio_module_format_data_tiff
dt_imageio_module_format_t >